package cn.com.poc.user.entity;


import cn.com.yict.framemax.data.model.BaseModelClass;

import javax.persistence.Column;
import java.util.Date;

/**
 * @Author：Roger Wu
 * @name：MemberInfoEntity
 * @Date：2024-07-25 11:06
 */
public class MemberInfoEntity extends BaseModelClass {

    /**
     * member_id
     * 会员id
     */
    private java.lang.Integer memberId;

    public java.lang.Integer getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * account
     * 账号
     */
    private java.lang.String account;

    public java.lang.String getAccount() {
        return this.account;
    }

    public void setAccount(java.lang.String account) {
        this.account = account;
    }


    /**
     * nick_name
     * 用户昵称
     */
    private java.lang.String nickName;

    public java.lang.String getNickName() {
        return this.nickName;
    }

    public void setNickName(java.lang.String nickName) {
        this.nickName = nickName;
    }


    /**
     * avatar_url
     * 用户头像图片的 URL
     */
    private java.lang.String avatarUrl;

    public java.lang.String getAvatarUrl() {
        return this.avatarUrl;
    }

    public void setAvatarUrl(java.lang.String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }


    /**
     * mobile_phone
     * 用户手机号
     */
    private java.lang.String mobilePhone;

    public java.lang.String getMobilePhone() {
        return this.mobilePhone;
    }

    public void setMobilePhone(java.lang.String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * email
     * 用户邮箱
     */
    private java.lang.String email;

    public java.lang.String getEmail() {
        return this.email;
    }

    public void setEmail(java.lang.String email) {
        this.email = email;
    }


    /**
     * remark
     * 备注
     */
    private java.lang.String remark;

    public java.lang.String getRemark() {
        return this.remark;
    }

    public void setRemark(java.lang.String remark) {
        this.remark = remark;
    }

    /** last_login_time
     *用户账号
     */
    private java.util.Date lastLoginTime;
    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    private java.lang.String shareCode;
    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }
}
